Package pygccxml :: Package declarations

# Package declarations

source code

contains classes that describe different C++ declarations

Submodules

- pygccxml.declarations.algorithm: defines few unrelated algorithms, that works on declarations
- pygccxml.declarations.algorithms_cache: defines class that will keep results of different calculations.
- pygccxml.declarations.call_invocation: free function call parser
- pygccxml.declarations.calldef: defines classes, that describes "callable" declarations
- pygccxml.declarations.class_declaration: defines classes, that describes C++ classes
- pygccxml.declarations.compilers: contains enumeration of all compilers supported by the project
- pygccxml.declarations.container_traits: defines few algorithms, that deals with different properties of std containers
- pygccxml.declarations.cpptypes: defines classes, that describe C++ types
- pygccxml.declarations.decl_factory: defines default declarations factory class
- pygccxml.declarations.decl_printer: defines class, decl_printer_t that prints declarations tree in a user friendly format
- pygccxml.declarations.decl_visitor: defines declarations visitor class interface
- pygccxml.declarations.declaration: defines 2 important classes
- pygccxml.declarations.dependencies: this module contains class that keeps dependency information of some declaration
- pygccxml.declarations.enumeration: defines class, that describes C++ enum
- pygccxml.declarations.filtering
- pygccxml.declarations.filtering': deprecated!
- pygccxml.declarations.function_traits: defines few algorithms, that deals with different properties of functions
- pygccxml.declarations.matcher
- pygccxml.declarations.matcher': implements few "find" algorithms on declarations tree
- pygccxml.declarations.matchers: defines all "built-in" classes that implement declarations compare functionality according to some criteria
- pygccxml.declarations.mdecl_wrapper: defines class mdecl_wrapper_t that allows to work on set of declarations, as it was one declaration.
- pygccxml.declarations.namespace: defines class, that describes C++ namespace declaration
- pygccxml.declarations.pattern_parser: implementation details
- pygccxml.declarations.scopedef: defines base class for namespace_t and class_t classes
- pygccxml.declarations.templates: template instantiation parser
- pygccxml.declarations.type_traits: defines few algorithms, that deals with different properties of C++ types
- pygccxml.declarations.type_visitor: defines types visitor class interface
- pygccxml.declarations.typedef: defines class that describes C++ typedef declaration
- pygccxml.declarations.variable: defines class that describes C++ global and member variable declaration

Variables
| all_container_traits = `list_traits, deque_traits, queue_traits`...`` tuple of all STD container traits classes
| sequential_container_traits = `[list_traits, deque_traits, queu`...`` list, that contains all STD container traits classes

Variables Details

### all_container_traits

tuple of all STD container traits classes

Value:

      list_traits, deque_traits, queue_traits, priority_queue_traits, vector
      _traits, stack_traits, map_traits, multimap_traits, hash_map_traits, h
      ash_multimap_traits, set_traits, hash_set_traits, multiset_traits, has
      h_multiset_traits

### sequential_container_traits

list, that contains all STD container traits classes

Value:

      [list_traits, deque_traits, queue_traits, priority_queue_traits, vecto
      r_traits, stack_traits, set_traits, hash_set_traits, multiset_traits,
      hash_multiset_traits]